<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.resource.model.RsResourceMetadata" table="rs_resource_metadata">
        <id name="id" type="java.lang.String">
            <column name="id"/>
            <generator class="uuid"/>
        </id>
        <property name="datasetId" type="java.lang.String">
            <column name="dataset_id">
                <comment>数据集ID</comment>
            </column>
        </property>
        <property name="code" type="java.lang.String">
            <column name="code" length="128"/>
        </property>

        <property name="resourceId" type="java.lang.String">
            <column name="resource_id" length="64"/>
        </property>
        <property name="deCode" type="java.lang.String">
            <column name="de_code" length="128"/>
        </property>
        <property name="name" type="java.lang.String">
            <column name="name"/>
        </property>
        <property name="type" type="java.lang.String">
            <column name="type" length="16"/>
        </property>
        <property name="format" type="java.lang.String">
            <column name="format" length="64"/>
        </property>
        <property name="dictId" type="java.lang.Integer">
            <column name="dict_id"/>
        </property>
        <property name="definition" type="java.lang.String">
            <column name="definition"/>
        </property>
        <property name="nullable" type="java.lang.Integer">
            <column name="nullable"/>
        </property>
        <property name="columnType" type="java.lang.String">
            <column name="column_type" length="8"/>
        </property>
        <property name="columnName" type="java.lang.String">
            <column name="column_name" length="64"/>
        </property>
        <property name="columnLength" type="java.lang.String">
            <column name="column_length" length="8"/>
        </property>
        <property name="primaryKey" type="java.lang.Integer">
            <column name="primary_key"/>
        </property>
        <property name="dataSupportType" type="java.lang.Integer">
            <column name="data_support_type"/>
        </property>
        <property name="logicDataSource" type="java.lang.String">
            <column name="logic_data_source"/>
        </property>

    </class>
</hibernate-mapping>
